Reports.GetOrdersEntered
Try it in Swagger
Endpoint
- Method:
GET
- Route:
Reports/OrdersEntered/{strDateStart}/{strDateEnd}
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Path Parameters
| Field |
Type |
Required |
Notes |
strDateStart |
string |
Yes |
Route segment. |
strDateEnd |
string |
Yes |
Route segment. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
Success Body
Response type: IReadOnlyList<OrdersEnteredReportDataDto>
| Field |
Type |
Max Length |
Notes |
dateReceived |
DateTime |
|
|
customerName |
string |
|
|
contact |
string |
|
|
workOrder |
string |
|
|
jobType |
string |
|
|
Response Sample
[
{
"dateReceived": "2026-05-07T00:00:00",
"customerName": "ABC Legal Services",
"contact": "Maria Contact",
"workOrder": "C123456",
"jobType": "Standard"
}
]